| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
CDCClassDevice.c File Reference
`#include "../../Core/USBMode.h"`
`#include "CDCClassDevice.h"`

Go to the source code of this file.

## Functions
void | CDC_Device_ProcessControlRequest (USB_ClassInfo_CDC_Device_t *const CDCInterfaceInfo)
| Processes incoming control requests from the host, that are directed to the given CDC class interface. This should be linked to the library EVENT_USB_Device_ControlRequest() event.
bool | CDC_Device_ConfigureEndpoints (USB_ClassInfo_CDC_Device_t *const CDCInterfaceInfo)
| Configures the endpoints of a given CDC interface, ready for use. This should be linked to the library EVENT_USB_Device_ConfigurationChanged() event so that the endpoints are configured when the configuration containing the given CDC interface is selected.
void | CDC_Device_USBTask (USB_ClassInfo_CDC_Device_t *const CDCInterfaceInfo)
| General management task for a given CDC class interface, required for the correct operation of the interface. This should be called frequently in the main program loop, before the master USB management task USB_USBTask().
uint8_t | CDC_Device_SendString (USB_ClassInfo_CDC_Device_t *const CDCInterfaceInfo, const char *const String)
| Sends a given null terminated string to the attached USB host, if connected. If a host is not connected when the function is called, the string is discarded. Bytes will be queued for transmission to the host until either the endpoint bank becomes full, or the CDC_Device_Flush() function is called to flush the pending data to the host. This allows for multiple bytes to be packed into a single endpoint packet, increasing data throughput.
uint8_t | CDC_Device_SendData (USB_ClassInfo_CDC_Device_t *const CDCInterfaceInfo, const char *const Buffer, const uint16_t Length)
| Sends a given data buffer to the attached USB host, if connected. If a host is not connected when the function is called, the string is discarded. Bytes will be queued for transmission to the host until either the endpoint bank becomes full, or the CDC_Device_Flush() function is called to flush the pending data to the host. This allows for multiple bytes to be packed into a single endpoint packet, increasing data throughput.
uint8_t | CDC_Device_SendByte (USB_ClassInfo_CDC_Device_t *const CDCInterfaceInfo, const uint8_t Data)
| Sends a given byte to the attached USB host, if connected. If a host is not connected when the function is called, the byte is discarded. Bytes will be queued for transmission to the host until either the endpoint bank becomes full, or the CDC_Device_Flush() function is called to flush the pending data to the host. This allows for multiple bytes to be packed into a single endpoint packet, increasing data throughput.
uint8_t | CDC_Device_Flush (USB_ClassInfo_CDC_Device_t *const CDCInterfaceInfo)
| Flushes any data waiting to be sent, ensuring that the send buffer is cleared.
uint16_t | CDC_Device_BytesReceived (USB_ClassInfo_CDC_Device_t *const CDCInterfaceInfo)
| Determines the number of bytes received by the CDC interface from the host, waiting to be read. This indicates the number of bytes in the OUT endpoint bank only, and thus the number of calls to CDC_Device_ReceiveByte() which are guaranteed to succeed immediately. If multiple bytes are to be received, they should be buffered by the user application, as the endpoint bank will not be released back to the USB controller until all bytes are read.
int16_t | CDC_Device_ReceiveByte (USB_ClassInfo_CDC_Device_t *const CDCInterfaceInfo)
| Reads a byte of data from the host. If no data is waiting to be read of if a USB host is not connected, the function returns a negative value. The CDC_Device_BytesReceived() function may be queried in advance to determine how many bytes are currently buffered in the CDC interface's data receive endpoint bank, and thus how many repeated calls to this function which are guaranteed to succeed.
void | CDC_Device_SendControlLineStateChange (USB_ClassInfo_CDC_Device_t *const CDCInterfaceInfo)
| Sends a Serial Control Line State Change notification to the host. This should be called when the virtual serial control lines (DCD, DSR, etc.) have changed states, or to give BREAK notifications to the host. Line states persist until they are cleared via a second notification. This should be called each time the CDC class driver's `ControlLineStates.DeviceToHost` value is updated to push the new states to the USB host.
void | CDC_Device_Event_Stub (USB_ClassInfo_CDC_Device_t *const CDCInterfaceInfo)
void | CDC_Device_Event_Stub2 (USB_ClassInfo_CDC_Device_t *const CDCInterfaceInfo, const uint8_t Duration)

## Function Documentation

void CDC_Device_Event_Stub | ( | USB_ClassInfo_CDC_Device_t *const | CDCInterfaceInfo | ) |

Definition at line 364 of file CDCClassDevice.c.

void CDC_Device_Event_Stub2 | ( | USB_ClassInfo_CDC_Device_t *const | CDCInterfaceInfo,
|  | const uint8_t | Duration
| ) |  |

Definition at line 369 of file CDCClassDevice.c.